# tmp hack til new perl
%filter_from_requires /^perl.Socket.pm./d
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Errno.pm) perl(POE/Component/Server/TCP.pm) perl(POE/Filter/HTTPD.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
# Note:  The tests for this perl dist. are disabled by default, as they
# require network access and would thus fail in the buildsys' mock
# environments.  To build locally while enabling tests, either:
#
#   rpmbuild ... --define '_with_network_tests 1' ...
#   rpmbuild ... --with network_tests ...
#   define _with_network_tests 1 in your ~/.rpmmacros

Name:           perl-POE-Component-Client-HTTP
Version:        0.947
Release:        alt1_3
Summary:        A non-blocking/parallel web requests engine for POE
Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/POE-Component-Client-HTTP
Source0:        http://search.cpan.org/CPAN/authors/id/R/RC/RCAPUTO/POE-Component-Client-HTTP-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(base.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(HTTP/Headers.pm)
BuildRequires:  perl(HTTP/Request.pm)
BuildRequires:  perl(HTTP/Request/Common.pm)
BuildRequires:  perl(HTTP/Response.pm)
BuildRequires:  perl(HTTP/Status.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(IO/Handle.pm)
BuildRequires:  perl(IO/Socket/INET.pm)
BuildRequires:  perl(Net/HTTP/Methods.pm)
BuildRequires:  perl(POE.pm)
# Original perl(POE::Component::Client::Keepalive) >= 0.271 rounded to
# 4 digit precision
BuildRequires:  perl(POE/Component/Client/Keepalive.pm)
BuildRequires:  perl(POE/Driver/SysRW.pm)
BuildRequires:  perl(POE/Filter.pm)
BuildRequires:  perl(POE/Filter/Line.pm)
BuildRequires:  perl(POE/Filter/Stackable.pm)
BuildRequires:  perl(POE/Filter/Stream.pm)
BuildRequires:  perl(POE/Session.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Socket.pm)
BuildRequires:  perl(URI.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Test/POE/Server/TCP.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Time/HiRes.pm)
Requires:       perl(HTTP/Headers.pm) >= 5.810
Requires:       perl(HTTP/Request.pm) >= 5.811
Requires:       perl(HTTP/Request/Common.pm) >= 5.811
Requires:       perl(HTTP/Response.pm) >= 5.813
Requires:       perl(HTTP/Status.pm) >= 5.811
Requires:       perl(Net/HTTP/Methods.pm) >= 5.812
Requires:       perl(POE.pm) >= 1.312
# Original perl(POE::Component::Client::Keepalive) >= 0.271 rounded to
# 4 digit precision
Requires:       perl(POE/Component/Client/Keepalive.pm) >= 0.271.0
Requires:       perl(Socket.pm)
Requires:       perl(URI.pm) >= 1.37


Source44: import.info

%description
POE::Component::Client::HTTP is an HTTP user-agent for POE. It lets other
sessions run while HTTP transactions are being processed, and it lets several
HTTP transactions be processed in parallel.

%prep
%setup -q -n POE-Component-Client-HTTP-%{version}

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
cd examples
sed -i '/#!perl/d;s/\r//' pcchget.perl

%check
# we don't have network access during the builds; fortunately these look to be
# the only tests requiring it.  Failing that, the entire suite can be
# disabled.
%{?!_with_network_tests:rm t/01* t/02*}
make test

%files
%doc CHANGES* README examples/
%{perl_vendor_privlib}/*

%changelog
* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.947-alt1_3
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.946-alt1_1
- fc import

